<?php

Event::add('ninja.version.info', function () {

	/**
	 * Keys to ignore when itearting over license metadata, they are handled
	 * specifically.
	 */
	$ignore = array(
		"license_api_version",
		"branding"
	);

	$license = op5objstore::instance()->obj_instance_callback('op5license', function () {
		return new op5license();
	});

	$metadata = $license->get_metadata();
	$data = &Event::$data;

	if (isset($metadata['license_api_version'])) {
		$license_version = $metadata['license_api_version'];
	} else {
		$license_version = 'unknown';
	}

	if (isset($metadata['branding'])) {
		$license_type = $metadata['branding'];
	} else {
		$license_type = 'unknown';
	}

	$license_type = license::get_display_name($license_type);

	$release = @file_get_contents('/etc/op5-monitor-release');
	$release = ($release) ? preg_replace('/VERSION=/', '', $release) : 'unknown';

	$data->set("Release", $release);
	if (op5MayI::instance()->run('monitor.license:read')) {
		$data->set("Product", 'OP5 Monitor ' . $license_type);
		$data->set("License version", $license_version);
		foreach ($metadata as $key => $value) {
			if (!in_array($key, $ignore, true)) {
				$data->set(ucfirst($key), $value);
			}
		}
	}

});
